#![forbid(unsafe_code)]

// Prevents additional console window on Windows in release, DO NOT REMOVE!!
#![cfg_attr(not(debug_assertions), windows_subsystem = "windows")]

mod servers;
use servers::*;

mod client;
use client::*;

fn main() {
    tauri::Builder::default()
        
        // perhaps a better practice than just writing out all the functions?
        .invoke_handler(tauri::generate_handler![
            list_servers,
            get_login_types
        ])

        .run(tauri::generate_context!())
        .expect("error while running tauri application");
}
